Need help with 147 - Alfa Romeo Forum
You are currently unregistered, register for more features.    
Introduce Yourself Again... No technical questions in here

 
Thread Tools Search this Thread
(Post Link) post #1 of 3 Old 01-08-06 Thread Starter
Status: -
Newbie
 
Join Date: Aug 2006
Posts: 2

Member car:

Alfa 147

Need help with 147

Hello

Sorry for having an issue with my first post!

I have a 2001 146 1.6 and have not had any issues until today!

Basically, it started with the remote locking not functioning, but now I have ABS, ASR malfunction messages (amongst others) and the car won't start.

The batrey is showing a green light and appears to be fine as the lights etc are working, but the car will only start when another car battery is used, and when this occurs, the engine management light comes on.

Is this simply a case that a new battery is needed, or do I have an electrical fault?

Thanks a million

Mike
mike070677 is offline  
Sponsored Links
Advertisement
 
Nev
Status: - Update
Guest
 
Posts: n/a
Re: Need help with 147

Does sound a bit like the battery.
Mine never lasted for more than 2 years
before it needed replacing.

Welcome anyway!
 
Ant
Status: Always hopeful yet discontent.
Club Member
Membro Premio
 
Ant's Avatar
 
Club Member Number: 92
Join Date: Jun 2002
Location: Somewhere far beyond...
Posts: 38,299

Member car:

2014 Honda CR-V

Re: Need help with 147

My 156 ate batteries as if they were free...

Good luck with your 147, and welcome to AO.
Ant is offline  
Reply

Go Back   Alfa Romeo Forum > The Alfaowner Experience > Newbie Area > Introduce Yourself

Tags
147

Thread Tools Search this Thread
Show Printable Version Show Printable Version
Email this Page Email this Page
Search this Thread:

Advanced Search



Posting Rules  
You may post new threads
You may post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are Off

 
For the best viewing experience please update your browser to Google Chrome